Summary:	xev application - printing contents of X events
Summary(pl.UTF-8):	Aplikacja xev wypisujaca zawartość zdarzeń X
Name:		xorg-app-xev
Version:	1.2.2
Release:	1
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/app/xev-%{version}.tar.bz2
# Source0-md5:	249bdde90f01c0d861af52dc8fec379e
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXrandr-devel >= 1.2
BuildRequires:	xorg-proto-xproto-devel >= 7.0.17
BuildRequires:	xorg-util-util-macros >= 1.8
Requires:	xorg-lib-libXrandr >= 1.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
xev application creates a window and then asks the X server to send it
events whenever anything happens to the window (such as it being
moved, resized, typed in, clicked in, etc.). You can also attach it to
an existing window. It is useful for seeing what causes events to
occur and to display the information that they contain; it is
essentially a debugging and development tool, and should not be needed
in normal usage.

%description -l pl.UTF-8
Aplikacja xev tworzy okno i żąda od serwera X przesyłania do siebie
wszystkich zdarzeń występujących w tym oknie (takich jak przesunięcia,
zmiana rozmiaru, naciśnięcia klawiszy, kliknięcia). Może także
podłączyć się do istniejącego okna. Jest przydatna do sprawdzania co
powoduje występowanie zdarzeń i wyświetlania zawartych w nich
informacji; jest to zasadnicze narzędzie diagnostyczne i
programistyczne, natomiast nie powinno być potrzebne przy zwykłym
użytkowaniu systemu.

%prep
%setup -q -n xev-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%attr(755,root,root) %{_bindir}/xev
%{_mandir}/man1/xev.1*
%changelog
* Thu May 14 2015 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/xorg-app-xev.git;a=log;h=master

* Mon Apr 20 2015 Jakub Bogusz <qboosh@pld-linux.org> dd6ebbd
- updated to 1.2.2

* Thu Jan 31 2013 Jakub Bogusz <qboosh@pld-linux.org> 245c865
- updated to 1.2.1

* Wed Feb 22 2012 Jakub Bogusz <qboosh@pld-linux.org> 37ac8fd
- updated to 1.2.0

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> a30a0b9
- dropped pre-cvs changelog

* Sun Oct 31 2010 Jakub Bogusz <qboosh@pld-linux.org> 8c21f8c
- updated to 1.1.0

* Mon Oct 19 2009 Jakub Bogusz <qboosh@pld-linux.org> 6f13c49
- updated to 1.0.4

* Sat Mar 08 2008 Jakub Bogusz <qboosh@pld-linux.org> 26a6cfc
- updated to 1.0.3
- real descs

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> a13dca7
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 19613d0
- converted to UTF-8

* Fri Jun 02 2006 Jakub Bogusz <qboosh@pld-linux.org> da11b45
- updated to 1.0.2, release 1

* Thu Jan 12 2006 Jakub Bogusz <qboosh@pld-linux.org> cc63c42
- 1.0.1 (X11R7.0 release)

* Fri Dec 09 2005 Jakub Bogusz <qboosh@pld-linux.org> fc97bbb
- 0.99.2 (X11R7.0-RC3)

* Sat Oct 22 2005 Jakub Bogusz <qboosh@pld-linux.org> 01424e7
- pkgconfig epoch

* Sat Oct 22 2005 Jakub Bogusz <qboosh@pld-linux.org> ec103ff
- 0.99.1 (X11R7.0-RC1)
- removed outdated man patch

* Sat Aug 27 2005 Jakub Bogusz <qboosh@pld-linux.org> 961001e
- sorted BRs

* Sat Aug 27 2005 Artur Frysiak <artur@frysiak.net> 206abda
- standard permisions to binaries

* Sat Aug 27 2005 Artur Frysiak <artur@frysiak.net> 3a59d6f
- cleanups, kill /usr/X11R6

* Sat Aug 27 2005 Artur Frysiak <artur@frysiak.net> d44fde7
- s/pkg-config/pkgconfig/ in BR:

* Mon Aug 15 2005 Arkadiusz Miśkiewicz <arekm@maven.pl> 2b21807
- new try
- all xorg files prefixed with xorg-kind_of_package where kind of package can be seen at http://xorg.freedesktop.org/X11R7.0-RC0/

